// Persistence of Vision Ray Tracer Scene Description File
// File: dungeon-bg2.pov
// Vers: 1
// Desc: Stone floor and ceiling lit by a torch, for a videogame.
// Date: 2015-12-30
// Auth: Felix Plesoianu <http://felix.plesoianu.ro/>

// Render with: povray +W800 +H500 +Idungeon-bg2.pov +A0.3

#include "colors.inc"
#include "stones.inc"

// The floor
cylinder {
	<0, 0, 0>, <0, -1, 0>, 15
	texture {
		T_Stone10
		normal { cells turbulence 0.02 rotate y * 45 }
	}
}

// The ceiling
cylinder {
	<0, 3, 0>, <0, 4, 0>, 15
	texture {
		T_Stone10
		normal { cells turbulence 0.02 rotate y * 45 }
	}
}

fog {
	//fog_type 1
	distance 2
	color Black
	//turbulence 0.3
}

light_source {
	<0.8, 2, 0> color rgb <1, 0.9, 0.8>
	area_light <0.1, 0, 0>, <0, 0.2, 0>, 3, 3
	adaptive 1
	jitter
	/*fade_distance 2
	fade_power 10*/
}

camera {
	location <0, 1.6, 0>
	look_at <0, 1.6, 15>
	right x * 8/5
	angle 90
}
