// Persistence of Vision Ray Tracer Scene Description File
// File: snowballz-pine-tree.pov
// Vers: 0.1
// Desc: Placeholder assets for Ballistic: Snowballz
// Date: 2010-10-11
// Auth: Felix Plesoianu <felixp7@yahoo.com>

// This work is made available under the terms of the Creative Commons
// Attribution 3.0 license, http://creativecommons.org/licenses/by/3.0/.
// Render with: povray +FN +W800 +H600 +Isnowballz-pine-tree.pov +A0.3

#include "colors.inc"
#include "textures.inc"

//#declare CHROMAKEY = 1;

#declare Ambiental = <0.5, 0.5, 0.5>;

#declare Plastic =
texture {
	pigment { color White }
	finish {
		diffuse 0.6
		specular 0.8
		ambient Ambiental
	}
}

#ifdef (CHROMAKEY)
background { rgb <0, 0.3, 1> }
#else
sky_sphere {
	pigment {
		gradient y
		color_map {
			[0.5 color White]
			[0.75 color rgb <0.5, 0.65, 0.8>]
		}
		scale 2
		translate -1
	}
}
#end

light_source { <0, 1000, -1000> color White parallel point_at <0, 0, 0> }

camera {
	location <0, 1.65, -5>
	look_at <0, 20, 800>
	angle 30
}

#ifndef (CHROMAKEY)
// The ground
disc {
	<0, 0, 0>, <0, 1, 0>, 20000
	texture { Plastic pigment { color rgb <0.93, 0.93, 0.93> } }
	normal { bumps }
}
#end

// A pine tree
union {
	cone {
		<0, 0, 0>, 0.25, <0, 5, 0>, 0.01
		texture { Plastic pigment { color rgb <0.4, 0.2, 0> } }
		normal { wrinkles scale <0.01, 0.5, 0.01> }
	}
	cone {
		<0, 4, 0>, 0.5, <0, 5, 0>, 0.01
		texture { Plastic pigment { color rgb <0, 1, 0> } }
	}
	cone {
		<0, 3, 0>, 0.75, <0, 4.5, 0>, 0.01
		texture { Plastic pigment { color rgb <0, 1, 0> } }
	}
	cone {
		<0, 1.5, 0>, 1.2, <0, 3.9, 0>, 0.01
		texture { Plastic pigment { color rgb <0, 1, 0> } }
	}
	translate z * 10
}
