// Persistence of Vision Ray Tracer Scene Description File
// File: stone-column.pov
// Vers: 1
// Desc: First level asset for Deep Down in Darkness
// Date: 2015-12-28
// Auth: Felix Plesoianu <http://felix.plesoianu.ro/>

// This work is made available under the terms of the Creative Commons
// Attribution 3.0 license, http://creativecommons.org/licenses/by/3.0/.
// Render with: povray +W800 +H600 +Istone-column.pov +A0.3

#include "colors.inc"
#include "stones.inc"

//#declare CHROMAKEY = 1;

#declare Ambiental = <0.5, 0.5, 0.5>;

#declare Plastic =
texture {
	pigment { color White }
	finish {
		diffuse 0.6
		specular 0.8
		ambient Ambiental
	}
}

#ifdef (CHROMAKEY)
	background { rgb <0, 0.3, 1> }
#else
	sky_sphere {
		pigment {
			gradient y
			color_map {
				[0.5 color White]
				[0.75 color rgb <0.5, 0.65, 0.8>]
			}
			scale 2
			translate -1
		}
	}

	// The ground
	disc {
		<0, 0, 0>, <0, 1, 0>, 5000
		texture { Plastic pigment { color rgb <0.93, 0.93, 0.93> } }
		normal { bumps }
	}
#end

light_source { <0, 1000, -1000> color White parallel point_at <0, 0, 0> }

camera {
	location <0, 1.65, -5>
	look_at <0, 20, 800>
	angle 30
}

// A stone column
union {
	cylinder { <0, -1, 0>, <0, 4.5, 0>, 0.5	}
	box { <-0.8, 4.5, -0.8>, <0.8, 4.8, 0.8>}
	texture {
		T_Stone10
		normal { brick brick_size 0.3 mortar 0.03 turbulence 0.02 scale y * 0.5 }
	}
	translate z * 10
}
