// Persistence of Vision Ray Tracer Scene Description File
// File: surface-world-bg.pov
// Vers: 1
// Desc: Simple snowy ground image for a game.
// Date: 2015-12-19
// Auth: Felix Plesoianu <http://felix.plesoianu.ro>

// Render with: povray +W800 +H500 +Isurface-world-bg.pov +A0.3

#include "colors.inc"
//#include "textures.inc"

//#declare CHROMAKEY = 1;

#declare Plastic =
texture {
	pigment { color White }
	finish {
		diffuse 0.6
		specular 0.8
		ambient 0.5
	}
}

#ifdef (CHROMAKEY)
background { rgb <0, 0.3, 1> }
#else
sky_sphere {
	pigment {
		gradient y
		color_map {
			[0 color SkyBlue]
			[0.25 color rgb <0.2, 0.4, 0.7>]
		}
		/*scale 2
		translate -1*/
	}
}

// The ground
disc {
	<0, 0, 0>, <0, 1, 0>, 5000
	texture { Plastic pigment { color rgb <0.93, 0.93, 0.93> } }
	normal { bumps }
}
#end

light_source { <0, 1000, -1000> color White parallel point_at <0, 0, 0> }

camera {
	location <0, 1.6, 0>
	look_at <0, 1.6, 5>
	angle 60
}
